#include <stdio.h>
#include <GL/gl.h>
#include <locale.h>

#include "cg_x11.h"
#include "cg_music.h"
#include "cg_dialog.h"
#include "antagonism.h"

int main(int argc, char *argv[]){
   int width, height, fullscreen;

   cgDialog(&width, &height, &fullscreen);
   setlocale(LC_ALL, "C");
   CreateScene(width, height, fullscreen);
   initAntagonism(width, height);
   InitMusic("data/katemix.ogg");

   BEGIN_EVENT
      playAntagonism();
      SyncPlay();
   END_EVENT

   FreeMusic();
   releaseAntagonism();
   RestoreScene();
   return(EXIT_SUCCESS);
}
